Bug 1070299 - [eap6] Autostart is not working when adding a new managed server to domain controller
Summary: [eap6] Autostart is not working when adding a new managed server to domain co...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER03
: JON 3.3.0
Assignee: Stefan Negrea
QA Contact: Filip Brychta
URL:
Whiteboard:
Keywords:
Depends On: 1066550
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-26 15:05 UTC by Filip Brychta
Modified: 2014-12-11 14:04 UTC (History)
4 users (show)

(edit)
Clone Of: 1066550
(edit)
Last Closed: 2014-12-11 14:04:31 UTC


Attachments (Terms of Use)

Description Filip Brychta 2014-02-26 15:05:00 UTC
Issue is visible on Version :	
3.2.0.GA
Build Number :	
c758688:4c03150

+++ This bug was initially created as a clone of Bug #1066550 +++

Description of problem:
Newly added managed server is not started event though the autostart option was enabled

Version-Release number of selected component (if applicable):
Version :	
4.10.0-SNAPSHOT
Build Number :	
c526922

Eap6.2.0

How reproducible:
Alwys

Steps to Reproduce:
1. go to EAP Domain Controller resource->Inventory->Create Child->Managed Server 
2. pick 'serverFour' as a name and press Next button
3. use 'master' host, 'main-server-group', 'full-sockets' binding, relevant port offset for your machine, enable 'Autostart' and press Finish button

Actual results:
Managed server is visible in the inventory but it is NOT available and process on target machine is NOT started (should be visible using: ps -ef | grep java | grep serverFour)

No exceptions in logs.

Expected results:
Managed server process is started and created resource is UP in the inventory.

Additional info:
Managed server can be started manually by scheduling operation 'start' and then everything works fine.

Comment 1 Radim Hatlapatka 2014-03-18 11:28:19 UTC
"auto-start" in EAP 6 means "Whether or not this server should be started when the Host Controller starts.",

At least that is what EAP 6 CLI suggests
/host=master/server-config=server-one:read-resource-description


Thereby I don't think this should be considered as bug but rather a proposal for a feature request. As from customer point of view when creating new server and setting autostart I would expect the server to be automatically started.

Thereby this should either be documented next to the Autostart field, or the JON should automatically take care of starting the EAP 6 server in domain.

Comment 3 Stefan Negrea 2014-09-09 19:02:05 UTC
release/jon3.3.x branch commit:


commit b070582d117ad530a2f91597386aa235b3f53200
Author: Stefan Negrea <snegrea@redhat.com>
Date:   Tue Sep 9 13:46:21 2014 -0500

    [BZ 1070299] Added auto-start description from the EAP 6 documentation. The functionality for auto-strart field w
    
    (cherry picked from commit f57707fe2782a9b738afd09b811494af6a96d6ab)
    Signed-off-by: Jay Shaughnessy <jshaughn@redhat.com>

Comment 4 Stefan Negrea 2014-09-09 19:15:30 UTC
Based on comment 1 , I updated the "auto-start" field description to match the one from EAP. The plugins tries to emulate the EAP behaviour as much as possible, and in this case the plugin behaviour was correct. The only missing part was the documentation, which is now fixed.

Comment 5 Simeon Pinder 2014-09-17 02:49:42 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=385149

Comment 6 Filip Brychta 2014-09-17 09:57:21 UTC
Verified on
Version :	
3.3.0.ER03
Build Number :	
4aefe39:44e33a4


Note You need to log in before you can comment on or make changes to this bug.